summaryrefslogtreecommitdiffstats
path: root/source/l/libusb/libusb.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libusb/libusb.SlackBuild')
-rwxr-xr-xsource/l/libusb/libusb.SlackBuild19
1 files changed, 8 insertions, 11 deletions
diff --git a/source/l/libusb/libusb.SlackBuild b/source/l/libusb/libusb.SlackBuild
index 67d0756a7..26bc4b5d0 100755
--- a/source/l/libusb/libusb.SlackBuild
+++ b/source/l/libusb/libusb.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,19 +21,17 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=${VERSION:-1.0.6} # libusb version
+VERSION=${VERSION:-1.0.8} # libusb version
USBCOMPAT=${USBCOMPAT:-0.1.3} # libusb-compat version
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:--j6}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) export ARCH=i486 ;;
arm*) export ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
@@ -64,6 +62,9 @@ cd $TMP
rm -rf libusb-$VERSION
tar xvf $CWD/libusb-$VERSION.tar.bz2
cd libusb-$VERSION
+
+zcat $CWD/libusb.fix.debug.log.level.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -138,12 +139,8 @@ if [ -r ChangeLog ]; then
fi
# Now handle the package-wide stuff
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
# Compress and if needed symlink the man pages:
if [ -d $PKG/usr/man ]; then